# lines – read lines from command

- Synopsis

- Parameters

- Notes

- Examples

- Return Values

- Status

## Synopsis

- Run one or more commands and split the output into lines, returning them as a list

## Parameters

Parameter | Choices/Defaults | Configuration | Comments
--- | --- | --- | ---
_terms - / required |  |  | command(s) to run

## Notes

Note

- Like all lookups, this runs on the Ansible controller and is unaffected by other keywords such as ‘become’. If you need to use different permissions, you must change the command or run Ansible as another user.

- Alternatively, you can use a shell/command task that runs against localhost and registers the result.

## Examples

    - name: We could read the file directly, but this shows output from command
      debug: msg="{{ item }} is an output line from running cat on /etc/motd"
      with_lines: cat /etc/motd

    - name: More useful example of looping over a command result
      shell: "/usr/bin/frobnicate {{ item }}"
      with_lines:
        - "/usr/bin/frobnications_per_host --param {{ inventory_hostname }}"

## Return Values

Common return values are documented here, the following are the fields unique to this lookup:

Key | Returned | Description
--- | --- | ---
_list - |  | lines of stdout from command

## Status

- This lookup is not guaranteed to have a backwards compatible interface. [preview]

- This lookup is maintained by the Ansible Community. [community]

### Authors

- Daniel Hokka Zakrisson <daniel@hozac.com>

Hint

If you notice any issues in this documentation, you can edit this document to improve it.

Hint

Configuration entries for each entry type have a low to high priority order. For example, a variable that is lower in the list will override a variable that is higher up.